curl --request POST \
--url https://api.bitgpt.xyz/invoices/list \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"status": [],
"currency": [
"<string>"
],
"price_usd_from": 123,
"price_usd_to": 123,
"created_at_from": "<string>",
"created_at_to": "<string>",
"customer_email": "<string>",
"provider_id": "<string>",
"limit": 123,
"offset": 123
}
'import requests
url = "https://api.bitgpt.xyz/invoices/list"
payload = {
"status": [],
"currency": ["<string>"],
"price_usd_from": 123,
"price_usd_to": 123,
"created_at_from": "<string>",
"created_at_to": "<string>",
"customer_email": "<string>",
"provider_id": "<string>",
"limit": 123,
"offset": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: [],
currency: ['<string>'],
price_usd_from: 123,
price_usd_to: 123,
created_at_from: '<string>',
created_at_to: '<string>',
customer_email: '<string>',
provider_id: '<string>',
limit: 123,
offset: 123
})
};
fetch('https://api.bitgpt.xyz/invoices/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "123"
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"status": 400,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 401,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 403,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}List invoices
Retrieve a paginated list of invoices for the authenticated organization
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.bitgpt.xyz/api-keys.
Body
Request body for filtering invoices
Filter by invoice status
PENDING, COMPLETED, VOIDED, PROCESSING, WAITING_FOR_CONFIRMATIONS, PARTIALLY_PAID Filter by currency code
Filter invoices with usd amount greater than or equal to this value
Filter invoices with usd amount less than or equal to this value
Filter invoices created from this date
Filter invoices created until this date
Filter by customer email address
Filter by payment provider
Maximum number of invoices to return
Number of invoices to skip for pagination
Response
Invoice list
Status code of the response
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
Message of the response, human readable
"Resource created successfully"
API environment
development, production Error message of the response, human readable
"Invalid email address"
Useful informaiton, not always present, to debug the response
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
"support_uuidv7-something-else"

